Sticky sessionGet sticky session
Create sticky session
Create a sticky (persistent) proxy session with a custom session ID. This is a username flag on proxy.geonode.io, not a management REST create call.
Auth
Use your Geonode proxy username and password with the proxy URL.
Sticky ports
| Protocol | Port range |
|---|---|
| HTTP/HTTPS | 10000–10900 |
| SOCKS5 | 12000–12010 |
Use a sticky HTTP port such as 10000. Rotating port 9000 is for non-sticky traffic.
Username syntax
<geonode_username>-country-<COUNTRY>-session-<session_id>:<geonode_password>| Rule | Value |
|---|---|
| Session ID length | 1–25 characters |
| Allowed characters | Letters, digits, underscore (^[A-Za-z0-9_]{1,25}$) |
Reuse the same session ID to keep the same IP until the session expires or is released.
Parameters
| Name | In | Required | Description |
|---|---|---|---|
session | username flag | yes | Custom session ID |
country | username flag | optional | Recommended geo scope |
port | proxy URL | yes | Sticky port (for example 10000) |
Example
curl -x "http://proxy.geonode.io:10000" \
--proxy-user "<geonode_username>-country-US-session-docsession01:<geonode_password>" \
"http://ip-api.com/json"Response
ip-api.com egress check.
two requests with the same session ID returned the same IP 153.66.99.11:
{
"status": "success",
"country": "United States",
"countryCode": "US",
"region": "NC",
"regionName": "North Carolina",
"city": "Charlotte",
"zip": "",
"lat": 35.227,
"lon": -80.8431,
"timezone": "America/New_York",
"isp": "Space Exploration Technologies Corporation",
"org": "SpaceX Starlink",
"as": "AS14593 Space Exploration Technologies Corporation",
"query": "153.66.99.11"
}Related
Was this page helpful?